/* Links */
a:link { color: #fdebe5; }
a:visited { color: #ffcece; }
a:hover { color: #ffbd41; }
a:active { color: #ff4343;  }

a.generic-link {
    color: white;
    text-decoration: none;
}

a.generic-link:hover {
    text-decoration: underline;
}


/* Page */
html, body {
    background-color: rgb(40, 40, 40);
    margin: 0;
    padding: 0;
    min-height: 1024px;
}

.page {
    font-size: 14px;
    line-height: 150%;
    font-family: Consolas, monospace;
    background-color: black;
    color: white;
    min-height: 1024px;
    max-width: 800px;
    margin: auto;
    padding: 0;
    display: flex;
    flex-direction: row;
    position: relative;
}

/* Generic Page Containers */
.main-content {
    flex: 1;
    display: flex;
    flex-direction: column;
}

.page-content {
    font-size: 13px;
    padding: 10px;
}


.sidebar {
    width: 75px;
    padding: 10px;
    background-color: darkred;
    font-size: 15px;
    flex-shrink: 0;
}

.logoheader {
    font-style: italic;
    font-size: 12px;
    color: grey;
    padding: 10px;
    text-align: center;
}

/* Ribbons */
.ribbon {
    text-align: center;
    background-color: darkred;
    width: 100%;
    padding: 5px;
    box-sizing: border-box;
}

.ribbon.highlight {
    background-color: firebrick;
}

.ribbon.user {
    background-image: linear-gradient(to bottom, firebrick, darkred);
    vertical-align: baseline;
    text-align: left;
}

/* Forum Listings and Threads */
.thread-listing {
    border-style: ridge;
    border-width: 5px;
    border-color: firebrick;
    padding: 5px;
    font-size: 15px;
}


.thread-details {
    font-style: italic;
    color: gray;
    font-size: 12px;
}


.thread {
    box-sizing: border-box;
    border: white;
    font-size: 13px;
    width: 100%;
    padding: 10px;
}


.reply-box {
    resize: none;
    padding: 5px;
    width: 100%;
    box-sizing: border-box;
    display: block;
}


.global-footer {
    text-align: center;
    font-size: 12px;
    line-height: 150%;
    font-family: Consolas, monospace;
    background-color: #272727;
    color: rgb(99, 99, 99);
    max-width: 800px;
    margin: auto;
    padding: 5px;
}

td.highlight{
    background-color: firebrick;
}


table, th, td {
  border: 1px solid white;
  border-collapse: collapse;
  padding: 10px;
}